Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2006 BEA Systems, Inc. All Rights Reserved
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.ebusiness.catalog.service.category
Class OrphanedItemIterator

    java.lang.Object
      com.beasys.commerce.ebusiness.catalog.CatalogItemIterator
          com.beasys.commerce.ebusiness.catalog.service.category.OrphanedItemIterator

All Implemented Interfaces
  ViewIterator, Serializable

    public class OrphanedItemIterator

extends CatalogItemIterator

A `OrphanedItemIterator` is a `ViewIterator` over `OrphanedItem`s. Orphaned Items are Product Items that are not (or no longer) assigned to a Category.

See Also
  `View`, `ViewIterator`, `CatalogItemIterator`, Serialized Form

Field Summary

Fields inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItemIterator
`DEFAULT_VIEW_SIZE, VERBOSE`

Constructor Summary
`OrphanedItemIterator(String manangerJndiName, CatalogRequest catalogRequest, int numItems, int viewSize)` `OrphanedItemIterator` constructor that takes the total number of spanned items, a view size and request object.

Method Summary
`protected CatalogItem` | `getCatalogItem(View view, int itemIndex)` Returns a CatalogItem within the current view.
`protected void` | `refreshView(View view)` This function is called whenever the current view needs to be refreshed.

Methods inherited from class com.beasys.commerce.ebusiness.catalog.CatalogItemIterator
`getCatalogManager, getCatalogQueryManager, getCatalogRequest, getCategoryManager, getCurrentView, getCustomDataManager, getProductItemManager, getViewAt, getViewCount, gotoNextView, gotoPreviousView, gotoViewAt, hasNext, hasNextView, hasPreviousView, next, size`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### OrphanedItemIterator

    public OrphanedItemIterator(String manangerJndiName,
                                CatalogRequest catalogRequest,
                                int numItems,
                                int viewSize)

  `OrphanedItemIterator` constructor that takes the total number of spanned items, a view size and request object.

Method Detail

### refreshView

    protected void refreshView(View view)
                        throws RemoteException

  This function is called whenever the current view needs to be refreshed. All classes that extend this class must implement this function.

  Specified by:
    `refreshView` in class `CatalogItemIterator`
  Parameters
    `view` - The view to refresh.
  Throws
    `RemoteException` - on remote error.

### getCatalogItem

    protected CatalogItem getCatalogItem(View view,
                                         int itemIndex)
                                  throws NoSuchElementException

  Returns a CatalogItem within the current view. All classes that extend this class must implement this function.

  Specified by:
    `getCatalogItem` in class `CatalogItemIterator`
  Parameters
    `view` - The current view.
    `itemIndex` - The index of the item to retrieve.
  Throws
    `NoSuchElementException` - If the item does not exist.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 BEA Systems, Inc. All Rights Reserved